
Foreman - Feature #197

Allow site local views of unattended installation

04/06/2010 04:54 PM - Frank Sweetser

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Unattended installations   

Target version: 0.1-5   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

While the various unattended views are pretty broadly designed, inevitably some sites will end up having to create their own local

versions.  This is pretty simple to maintain when foreman is installed via git, but becomes a major pain if using RPM or deb

packages.

As an alternative, it would be great if foreman could check for a site local copy of the unattended views, and prefer those over the

packaged ones.  Then, the view rendering would look roughly like this:

if exists? kickstart-local.rhtml then

render kickstart-local.rhtml

else

render kickstart.rhtml

end

Associated revisions

Revision 0c759d7b - 04/20/2010 10:24 AM - Ohad Levy

fixes #197 - Allow site local views of unattended installation

History

#1 - 04/20/2010 09:48 AM - Ohad Levy

- Target version set to 0.1-5

#2 - 04/20/2010 10:28 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 0c759d7b431eba3c7bfb3e23005b0579f3221896.

#3 - 04/27/2010 07:12 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
